<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'appoi_section',
	array(
		'title'         => __( 'Appointment Section', 'Luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'appoi_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);

$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'appoi_disable',
		array(
			'settings'      => 'appoi_disable',
			'section'       => 'appoi_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);


backgroundManager($wp_customize, 'appointment', 'appoi_section', $color='#fff', get_template_directory_uri().'/images/appoin.jpg', 'color');

lzCustomLable($wp_customize, 'appoi_sectionnpadding', 'appoi_section', 'Section Padding ');

$wp_customize->add_setting(
    'appoinmentsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_toppadding',
    array(
        'settings'      => 'appoinmentsection_toppadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Top ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'appoinmentsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'appoinmentsection_bottompadding',
    array(
        'settings'      => 'appoinmentsection_bottompadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Bottom ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'app_detailbg', 'appoi_section', 'Left Side');


$wp_customize->add_setting(
    'infphtxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+000 111 222' )
    )
);
$wp_customize->add_control(
    'infphtxt',
    array(
        'settings'      => 'infphtxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Phone Number 1', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'infphtxt2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '+111 222 333' )
    )
);
$wp_customize->add_control(
    'infphtxt2',
    array(
        'settings'      => 'infphtxt2',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Phone Number 2', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'infemiltxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'info@yourmail.com' )
    )
);
$wp_customize->add_control(
    'infemiltxt',
    array(
        'settings'      => 'infemiltxt',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Email Id', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'inftxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '10917 NE 4th Plain Rd , US' )
    )
);
$wp_customize->add_control(
    'inftxt',
    array(
        'settings'      => 'inftxt',
        'section'       => 'appoi_section',
        'type'          => 'textarea',
        'label'         => __( 'Address Text', 'Luzuk' )
    )
);


lzCustomLable($wp_customize, 'appoin_sicon', 'appoi_section' , 'Social Media Icons');

// FACEBOOK 
$wp_customize->add_setting('app_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('app_fb',
    array(
        'settings'      => 'app_fb',
        'section'       => 'appoi_section',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'luzuk-premium' )
    )
);

//Instagram
$wp_customize->add_setting('app_insta',array('default'=> 'https://www.instagram.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('app_insta',
    array(
        'settings'      => 'app_insta',
        'section'       => 'appoi_section',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'luzuk-premium' )
    )
);

// TWITTER
$wp_customize->add_setting('app_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('app_tw',
    array(
        'settings'      => 'app_tw',
        'section'       => 'appoi_section',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'luzuk-premium' )
    )
);


//Pinterest
$wp_customize->add_setting('app_ytube',array('default'=> 'https://www.youtube.com/','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('app_ytube',
    array(
        'settings'      => 'app_ytube',
        'section'       => 'appoi_section',
        'type'          => 'url',
        'label'         => __( 'You Tube Url', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'app_dlhsbcclr', 'appoi_section', 'Left Side Color');

addColorPalatOption($wp_customize, 'inquiry_icnclr', 'appoi_section', 'Icon Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_phfldbgclr', 'appoi_section', 'Field BG Color', '#e2e3db');

addColorPalatOption($wp_customize, 'inquiry_phEmAddclr', 'appoi_section', 'Ph No , Email , Adress Text Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_phEmAddhvclr', 'appoi_section', 'Ph No , Email Text Hover Color', '#76B801');

addColorPalatOption($wp_customize, 'inquiry_sicnnbgclr', 'appoi_section', 'Social Icon BG Color', '#76B801');

addColorPalatOption($wp_customize, 'inquiry_sicnnclr', 'appoi_section', 'Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_sicnhvclr', 'appoi_section', 'Social Icon Hover Color', '#000');


lzCustomLable($wp_customize, 'app_formbg', 'appoi_section', 'Right Side ');

lzCustomLable($wp_customize, 'app-secheading', 'appoi_section', 'Section Heading ');

$wp_customize->add_setting(
    'appform_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'CONTACT US', 'luzuk' )
    )
);
$wp_customize->add_control(
    'appform_maintitle',
    array(
        'settings'      => 'appform_maintitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'app_secheadingclr', 'appoi_section', 'Section Heading Color', '#fff');

// ===========Form Section ==========//

lzCustomLable($wp_customize, 'contactf', 'appoi_section', 'Form Section');


lzCustomLable($wp_customize, 'appointmentright_Form_label', 'appoi_section', 'Contact Inquiry Form Shortcode');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'appoi_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');


addColorPalatOption($wp_customize, 'inquiry_forminputtxtClr', 'appoi_section', 'Form Input Text / Placeholder Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_forminputtxbgtClr', 'appoi_section', 'Form Input Placeholder Bg Color', '#aba8a8');

addColorPalatOption($wp_customize, 'inquiry_forminputbgColor', 'appoi_section', 'Form Input Border Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'appoi_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_formbuttontextColor', 'appoi_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_formbuttontexthoverColor', 'appoi_section', 'Form Button Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbrdClr', 'appoi_section', 'Form Button Border Color', '#CFDE07');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbgColor', 'appoi_section', 'Form Button BG Color', '#76B801');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbghoverColor', 'appoi_section', 'Form Button BG Hover Color', '#CFDE07');